#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>
#include <QMultiMap>
#include <QStandardItemModel>
#include <QModelIndex>

namespace Ui {
class Widget;
}

class Widget : public QWidget
{
    Q_OBJECT

public:
    explicit Widget(QWidget *parent = 0);
    ~Widget();

public slots:
    void wordsTableViewClicked(const QModelIndex &index);

private:
    Ui::Widget *ui;
    QMultiMap<QString, QString> m_synonymousMap;
    QStandardItemModel m_keysModel;
    QStandardItemModel m_valuesModel;
};

#endif // WIDGET_H
